hakyll-4.13.0.1: A static website compiler library

Safe Haskell | Safe
Language | Haskell2010

Hakyll.Core.Logger

Description

Produce pretty, thread-safe logs

Synopsis

- data Verbosity
  - = Error
  - | Message
  - | Debug
- data Logger
- new :: Verbosity -> IO Logger
- flush :: Logger -> IO ()
- error :: MonadIO m => Logger -> String -> m ()
- header :: MonadIO m => Logger -> String -> m ()
- message :: MonadIO m => Logger -> String -> m ()
- debug :: MonadIO m => Logger -> String -> m ()

# Documentation

data Verbosity Source #

Constructors

Error |
Message |
Debug |

Instances

Eq Verbosity Source # |
Instance details Defined in Hakyll.Core.Logger Methods (==) :: Verbosity -> Verbosity -> Bool Source # (/=) :: Verbosity -> Verbosity -> Bool Source #
Ord Verbosity Source # |

Instance details

Defined in Hakyll.Core.Logger

Methods

compare :: Verbosity -> Verbosity -> Ordering Source #

(<) :: Verbosity -> Verbosity -> Bool Source #

(<=) :: Verbosity -> Verbosity -> Bool Source #

(>) :: Verbosity -> Verbosity -> Bool Source #

(>=) :: Verbosity -> Verbosity -> Bool Source #

max :: Verbosity -> Verbosity -> Verbosity Source #

min :: Verbosity -> Verbosity -> Verbosity Source #

Show Verbosity Source # |
Instance details Defined in Hakyll.Core.Logger Methods showsPrec :: Int -> Verbosity -> ShowS Source # show :: Verbosity -> String Source # showList :: [Verbosity] -> ShowS Source #

data Logger Source #

Logger structure. Very complicated.

new :: Verbosity -> IO Logger Source #

Create a new logger

flush :: Logger -> IO () Source #

Flush the logger (blocks until flushed)

error :: MonadIO m => Logger -> String -> m () Source #

header :: MonadIO m => Logger -> String -> m () Source #

message :: MonadIO m => Logger -> String -> m () Source #

debug :: MonadIO m => Logger -> String -> m () Source #